#include <string.h>

#pragma hdrstop

#include "ServerConn.h"
#include "../Common/UtilClass.h"

CServerConnection::CServerConnection(FnProcess fnProcess, void *pParam)
{
  m_fnProcess = fnProcess;
  m_pParam = pParam;
}

CServerConnection::~CServerConnection()
{
}

bool CServerConnection::CallProcessing(unsigned *puiResult, CBlob *cCmd)
{
  if(m_fnProcess != NULL) {
    *puiResult = m_fnProcess(m_pParam, cCmd);
    return true;
  }
  else {
    *puiResult = 0;
    return false;
  }
}
